# Uses of Interface
org.eclipse.birt.chart.model.data.TextDataSet

Packages that use TextDataSet
Package
Description
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of TextDataSet in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return TextDataSet
Modifier and Type
Method
Description
`TextDataSet`
TextDataSet.`copyInstance()`
`TextDataSet`
DataFactory.`createTextDataSet()`
Returns a new object of class 'Text Data Set'.

## Uses of TextDataSet in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement TextDataSet
Modifier and Type
Class
Description
`class`
`TextDataSetImpl`
An implementation of the model object 'Text Data Set'.
Methods in org.eclipse.birt.chart.model.data.impl that return TextDataSet
Modifier and Type
Method
Description
`TextDataSet`
TextDataSetImpl.`copyInstance()`
`static final TextDataSet`
TextDataSetImpl.`create(Object oValues)`
A convenience method to create an initialized 'TextDataSet' instance
`TextDataSet`
DataFactoryImpl.`createTextDataSet()`